package com.hh.arome.mvp.model;

import com.common.lib_base.common.http.bean.BaseBean;
import com.hh.arome.bean.ThreeElementsBean;
import com.hh.arome.http.ApiService;
import com.hh.arome.mvp.model.base.BaseModel;

import java.util.Map;

import io.reactivex.Observable;
import okhttp3.RequestBody;

public class ThreeElementsModel extends BaseModel {
    public ThreeElementsModel(ApiService mApiService) {
        super(mApiService);
    }
    public Observable<BaseBean<ThreeElementsBean>> requestThreeElements(Map<String ,Object> map, String url) {
        RequestBody requestBody = createRequestBody(map);
        return mApiService.requestThreeElements(url,requestBody);
    }
}
